LibreOffice: LayerManager Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Exported Interfaces | List of all members
LayerManager Service Referencepublished

This service is provided by documents to support Layers. More...

`import"LayerManager.idl";`

Inheritance diagram for LayerManager:

## Exported Interfaces
interface | com::sun::star::drawing::XLayerManager
| gives you access to the existing Layers by index and makes it possible to add and remove Layers and to attach Shapes to Layers. More...
interface | com::sun::star::container::XNameAccess
| gives access to the existing Layers by name. More...

## Additional Inherited Members
Public Member Functions inherited from XLayerManager
com::sun::star::drawing::XLayer | insertNewByIndex ([in] long nIndex)
| creates a new Layer More...
void | remove ([in] com::sun::star::drawing::XLayer xLayer) raises ( com::sun::star::container::NoSuchElementException )
| removes a Layer and all Shapes on this Layer. More...
void | attachShapeToLayer ([in] com::sun::star::drawing::XShape xShape, [in] com::sun::star::drawing::XLayer xLayer)
| attaches a Shape to the given Layer. More...
com::sun::star::drawing::XLayer | getLayerForShape ([in] com::sun::star::drawing::XShape xShape)
| queries the Layer that a Shape is attached to More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)

## Detailed Description

This service is provided by documents to support Layers.

See also
  DrawingDocument

## Exported Interfaces

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

gives access to the existing Layers by name.

The contents of the collection all support Layer returned by XLayer.

## ◆ com::sun::star::drawing::XLayerManager

interface com::sun::star::drawing::XLayerManager

gives you access to the existing Layers by index and makes it possible to add and remove Layers and to attach Shapes to Layers.

The contents of the collection all support Layer returned by XLayer.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/LayerManager.idl